package org.klomp.bpms.bpml;

import java.util.ArrayList;
import java.util.List;

import org.exolab.castor.types.AnyNode;

public class Connect implements Documented, Contextual {
    private AnyNode documentation;
    /** Type of connector. Must be one of "direct" or "publish".
     *  Default is "direct".
     */
    private String type = "direct";
    private List operations = new ArrayList();
        
    public AnyNode getDocumentation() {
        return documentation;
    }

    public void setDocumentation(AnyNode documentation) {
        this.documentation = documentation;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List getOperations() {
        return operations;
    }

    public void setOperations(List operations) {
        this.operations = operations;
    }

}
