package org.klomp.bpms.bpml;

import java.util.ArrayList;
import java.util.List;

import org.exolab.castor.types.AnyNode;

public class OnTimeout implements EventHandler {
    private AnyNode documentation;
      
    /** Required name of property containing timeout value. */
    private String property;
    
    /** Must be "duration" or "dateTime". Defaults to "duration". */    
    private String type = "duration";
    
    /** Must begin with "start" or "end", followed by whitespace and
     *  the name of an activity, transaction or process. (in the current
     *  context)
     */
    private String reference;
    
    /** Optional context definition. */
    private Context context;
    
    private List activities = new ArrayList();
    
    public AnyNode getDocumentation() {
        return documentation;
    }

    public void setDocumentation(AnyNode documentation) {
        this.documentation = documentation;
    }

    public String getProperty() {
        return property;
    }

    public String getReference() {
        return reference;
    }

    public String getType() {
        return type;
    }

    public void setProperty(String property) {
        this.property = property;
    }

    public void setReference(String reference) {
        this.reference = reference;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List getActivities() {
        return activities;
    }

    public Context getContext() {
        return context;
    }

    public void setActivities(List activities) {
        this.activities = activities;
    }

    public void setContext(Context context) {
        this.context = context;
    }
}