package org.klomp.bpms.bpml.activity;

import org.exolab.castor.types.AnyNode;
import org.klomp.bpms.bpml.Activity;

public class Join implements Activity {
    private AnyNode documentation;
    private String name;
    
    /** Required name of process to join. */
    private String process;
    
    /** Optional name of property that contains the number of process
     *  instances with the given process name to wait for.
     */
    private String count;
    
    public AnyNode getDocumentation() {
        return documentation;
    }

    public String getName() {
        return name;
    }

    public void setDocumentation(AnyNode documentation) {
        this.documentation = documentation;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCount() {
        return count;
    }

    public String getProcess() {
        return process;
    }

    public void setCount(String count) {
        this.count = count;
    }

    public void setProcess(String process) {
        this.process = process;
    }

}
